Connection details of the application under the identity source
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.
Get the connection status of the application on the identity source details page
Method name
ManagementClient.ext_idp_conn_state_by_apps
Request parameters
| Name | Type | Is it required? | Default value | Description | Sample value |
|---|---|---|---|---|---|
| id | string | yes | - | Identity source ID | 6268b0e5e4b9a0e8ffa8fd60 |
| tenantId | string | no | - | Tenant ID | 60b49eb83fd80adb96f26e68 |
| appId | string | no | - | Application ID | 60b49eb83fd80adb96f26e68 |
| type | string | No | - | Identity source type |
Request Response
Type: ExtIdpListPaginatedRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code. This status code can be used to determine whether the operation is successful. 200 means success. |
| message | string | |
| apiCode | number | Subdivided error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, please see: API Code List |
| requestId | string | Request ID. Returned when the request fails. |
json
{ "statusCode": 200, "message": "Success", "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c", "data": { "list": { "id": "60b49eb83fd80adb96f26e68", "name": "default", "logo": "https://files.authing.co/authing-console/social-connections/wechatIdentitySource.svg", "tenantId": "60b49eb83fd80adb96f26e68",
"type": "wechat"
}
}
}Data Structure
ExtIdpListPagingDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| totalCount | number | is | Total number of records | |
| list | array | yes | Response data Nested type: <a ExtIdpDto. |
ExtIdpDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| id | string | yes | Identity source id | 60b49eb83fd80adb96f26e68 |
| name | string | yes | Identity source name | default |
| logo | string | yes | Logo for the identity source | https://files.authing.co/authing-console/social-connections/wechatIdentitySource.svg |
| tenantId | string | no | Tenant ID | 60b49eb83fd80adb96f26e68 |
| type | string | yes | Identity source type | wechat |